#ifndef _FTCP_H
#define _FTCP_H

#define FTCP_FREEZE (0x01)
#define FTCP_IFOFF  (0x02)

typedef struct {
  char *ifname;
  int val;
} ftcp_t;

enum {
  FTCP_FREEZE_CHECK,
  FTCP_FREEZE_OFF,
  FTCP_FREEZE_ON,
  FTCP_IF_CHECK,
  FTCP_IF_DISABLE,
  FTCP_IF_ENABLE,
  FTCP_DUP_ACKS1,
  FTCP_DUP_ACKS3
};

/* function prototypes */
int sys_ftcp(int func, ftcp_t *fp);
void ftcp_freeze_check(ftcp_t *fp);
void ftcp_freeze_on(ftcp_t *fp);
void ftcp_freeze_off(ftcp_t *fp);
void ftcp_if_check(ftcp_t *fp);
void ftcp_if_disable(ftcp_t *fp);
void ftcp_if_enable(ftcp_t *fp);
void ftcp_send_dup_acks(ftcp_t *fp, int num);

#endif /* _FTCP_H */
